jwbf.net
当前位置:首页 >> CAD计算总长度插件lsp >>

CAD计算总长度插件lsp

已上传,亲测可用 启动CAD,点工具-加载应用程序 加载以后,输入命令n,框选所要统计的线条,总长度会在命令行显示

已为你修改,最后提示改为米。 (princ "\n程序:统计线段长度 命令:te")(defun C:TE (/ CURVE TLEN SS N SUMLEN) (vl-load-com) (setq SUMLEN 0) (setq SS (ssget '((0 . "CIRCLE,ELLIPSE,LINE,*POLYLINE,SPLINE,ARC")))) (setq N 0) (repeat (...

网上有专门的工具。单击线条后右键,可将其长度数值标在线的任何位置上,全选线条后右健可在任何位置标出总长度

(defun C:cd (/ CURVE TLEN SS N SUMLEN) (vl-load-com) (setq SUMLEN 0) (setq SS (ssget '((0 . "CIRCLE,ELLIPSE,LINE,*POLYLINE,SPLINE,ARC")))) (setq N 0) (repeat (sslength SS) (setq CURVE (vlax-ename->vla-object (ssname SS N))) (se...

先快速选择 ,快速选择里 选线 颜色 黄色, ,然后就可以全部选中 黄颜色的线了。 把黄色的线 复制 然后粘贴到旁边 就可以随便你折腾了。 选中全部黄色的线,命令行输入li 回车 。应该就会出来线的总长度的!

;提取封闭线面积(defun c:tes ( / ent mj obj) (vl-load-com) (if (setq ent (entsel "\n请选择封闭线")) (progn (setq ent (car ent));取得对象 (setq obj (vlax-ename->vla-object ent));转换为VLA对象 (princ (setq mj (vla-get-Area obj)));...

(defun c:qq (/ d ent f i lst m2 obj pt ss txt x y) (defun maketext (txt pt); 生成文字子函数 (entmake (list '(0 . "TEXT") (cons 62 1) (cons 10 pt) (cons 40 10) (cons 1 txt) '(41 . 0.8)));;写文字,0表示字体,62表示颜色1红,10表示...

(princ "\n 程序:统计线段长度 命令: zz") (defun C:zz (/ CURVE TLEN SS N SUMLEN) (vl-load-com) (setq SUMLEN 0) (setq SS (ssget '((0 . "CIRCLE,ELLIPSE,LINE,*POLYLINE,SPLINE,ARC")))) (setq N 0) (repeat (sslength SS) (setq CURVE (...

;单独做一个程序amset设置字高,再把单位改一下就行了 (defun C:amset() (setq height (getdist "\n请输入文字高度:")) (PRINC)) (defun C:am (/ ss l i totalarea ename obj entarea) (if (setq ss (ssget)) (progn (vl-load-com) (setq models...

(defun c:mj ( / &k1 &kw1 a1 a2 ss1 a3 a4);统计面积 (setvar "cmdecho" 0) (setvar "blipmode" 0) (setvar "dimzin" 0) (if (null vlax-dump-object) (vl-load-com));加载vlax函数 (princ "\n请选择要计算面积的对象") (if (setq &kw1 (ssget ...

网站首页 | 网站地图
All rights reserved Powered by www.jwbf.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com